TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Generator ( fld^fun K, elt-ord^rat i ) -> elt-fld^fun

### Description

<shortdoc> A primitive element of K (i must be 1). </shortdoc>

### Examples

x_k := FiniteField(5); x_kx := PolynomialAlgebra(x_k); x_kxy := PolynomialAlgebra( x_kx ); x_x := Generator(x_kx, 1); x_y := Generator(x_kxy, 1); x_F := FunctionField( x_y^2 - x_x^3 + 1 ); x_a := Generator(x_F, 1); x_a^2; Parent(x_a);
x_k := FiniteField(5); x_kx := PolynomialAlgebra(x_k); x_kxy := PolynomialAlgebra( x_kx ); x_x := Generator(x_kx, 1); x_y := Generator(x_kxy, 1); x_F := FunctionField( [x_y^2 - x_x - 1, x_y^2 - x_x - 2 ] ); x_a := Generator(x_F, 1); x_b := Generator(x_F, 2); x_a^2; x_b^2; Parent(x_a); Parent(x_b);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack